package com.jwipc.contract.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jwipc.contract.entity.ContractSubSeq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *
 * </p>
 *
 * @author Chen Tianshi
 * @since 2026/1/15 10:44
 */
public interface ContractSubSeqMapper extends BaseMapper<ContractSubSeq> {
    Integer selectByParentCodeForUpdate(@Param("parentCode") String parentCode);

    Integer selectMaxSubSeq(@Param("parentCode") String parentCode);

    int incrSeq(@Param("parentCode") String parentCode);
}
